package client.renderer.entity;

import client.renderer.layers.LayerSaddle;
import client.renderer.model.ModelBase;
import common.entity.animal.EntityPig;


public class RenderPig extends RenderLiving<EntityPig>
{
    private static final String pigTextures = "textures/creature/pig.png";

    public RenderPig(RenderManager renderManagerIn, ModelBase modelBaseIn)
    {
        super(renderManagerIn, modelBaseIn);
        this.addLayer(new LayerSaddle(this));
    }

    /**
     * Returns the location of an entity's texture. Doesn't seem to be called unless you call Render.bindEntityTexture.
     */
    protected String getEntityTexture(EntityPig entity)
    {
        return pigTextures;
    }
}
